classification
Title: Solaris/GCC/shared lib problem
Type: compile error Stage: resolved
Components: Distutils Versions: Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: tarek Nosy List: dabrahams, eric.araujo, steve.dower, tarek
Priority: normal Keywords:

Created on 2011-03-02 16:19 by dabrahams, last changed 2021-02-03 18:37 by steve.dower. This issue is now closed.

Messages (5)
msg129903 - (view) Author: Dave Abrahams (dabrahams) Date: 2011-03-02 16:19
http://twistedmatrix.com/trac/ticket/4916#comment:2 suggests that maybe there's a bug in distutils.  Something in the build process for twisted is deciding that I have Sun CC installed instead of letting pycc, which can handle the job of picking the correct PIC flag, do it properly:

 /usr/lib/python2.6/pycc -DNDEBUG -KPIC -I/usr/include/python2.6 -c
 conftest.c -o conftest.o

 gcc: unrecognized option `-KPIC'
msg131382 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-03-19 02:42
Thanks for the report.  What’s the exact command-line you run?  In your message, it looks like you run the pycc command which then outputs the gcc error.
msg138681 - (view) Author: Dave Abrahams (dabrahams) Date: 2011-06-20 01:27
I run:

 sudo pip install --upgrade twisted
msg138682 - (view) Author: Dave Abrahams (dabrahams) Date: 2011-06-20 01:33
Note: even after I install Sun CC, -KPIC is unrecognized.  At least it's only a warning in this case:

$ sudo pip install --upgrade twisted
Downloading/unpacking twisted
  Running setup.py egg_info for package twisted
Downloading/unpacking zope.interface (from twisted)
  Running setup.py egg_info for package zope.interface
Downloading/unpacking setuptools (from zope.interface->twisted)
  Running setup.py egg_info for package setuptools
Installing collected packages: setuptools, twisted, zope.interface
  Found existing installation: setuptools 0.6c12dev-r88846
    Uninstalling setuptools:
      Successfully uninstalled setuptools
  Running setup.py install for setuptools
    Installing easy_install script to /usr/bin
    Installing easy_install-2.6 script to /usr/bin
  Found existing installation: Twisted 10.0.0
    Uninstalling Twisted:
      Successfully uninstalled Twisted
  Running setup.py install for twisted
    /usr/lib/python2.6/pycc -DNDEBUG -KPIC -I/usr/include/python2.6 -c conftest.c -o conftest.o
    cc: unrecognized option `-KPIC'
    /usr/lib/python2.6/pycc -DNDEBUG -KPIC -I/usr/include/python2.6 -c conftest.c -o conftest.o
    cc: unrecognized option `-KPIC'
    conftest.c:1:23: sys/epoll.h: No such file or directory
    building 'twisted.runner.portmap' extension
    /usr/lib/python2.6/pycc -DNDEBUG -KPIC -I/usr/include/python2.6 -c twisted/runner/portmap.c -o build/temp.solaris-2.11-i86pc-2.6/twisted/runner/portmap.o
    cc: unrecognized option `-KPIC'
    /usr/lib/python2.6/pycc -G build/temp.solaris-2.11-i86pc-2.6/twisted/runner/portmap.o -L/usr/lib -lpython2.6 -o build/lib.solaris-2.11-i86pc-2.6/twisted/runner/portmap.so
    building 'twisted.test.raiser' extension
    /usr/lib/python2.6/pycc -DNDEBUG -KPIC -I/usr/include/python2.6 -c twisted/test/raiser.c -o build/temp.solaris-2.11-i86pc-2.6/twisted/test/raiser.o
    cc: unrecognized option `-KPIC'
    /usr/lib/python2.6/pycc -G build/temp.solaris-2.11-i86pc-2.6/twisted/test/raiser.o -L/usr/lib -lpython2.6 -o build/lib.solaris-2.11-i86pc-2.6/twisted/test/raiser.so
    building 'twisted.python._initgroups' extension
    /usr/lib/python2.6/pycc -DNDEBUG -KPIC -I/usr/include/python2.6 -c twisted/python/_initgroups.c -o build/temp.solaris-2.11-i86pc-2.6/twisted/python/_initgroups.o
    cc: unrecognized option `-KPIC'
    /usr/lib/python2.6/pycc -G build/temp.solaris-2.11-i86pc-2.6/twisted/python/_initgroups.o -L/usr/lib -lpython2.6 -o build/lib.solaris-2.11-i86pc-2.6/twisted/python/_initgroups.so
    building 'twisted.internet._sigchld' extension
    /usr/lib/python2.6/pycc -DNDEBUG -KPIC -I/usr/include/python2.6 -c twisted/internet/_sigchld.c -o build/temp.solaris-2.11-i86pc-2.6/twisted/internet/_sigchld.o
    cc: unrecognized option `-KPIC'
    In file included from /usr/include/python2.6/Python.h:8,
                     from twisted/internet/_sigchld.c:9:
    /usr/include/python2.6/pyconfig.h:1004:1: warning: "_FILE_OFFSET_BITS" redefined
    In file included from /usr/include/signal.h:36,
                     from twisted/internet/_sigchld.c:6:
    /usr/include/sys/feature_tests.h:209:1: warning: this is the location of the previous definition
    /usr/lib/python2.6/pycc -G build/temp.solaris-2.11-i86pc-2.6/twisted/internet/_sigchld.o -L/usr/lib -lpython2.6 -o build/lib.solaris-2.11-i86pc-2.6/twisted/internet/_sigchld.so
    changing mode of build/scripts-2.6/manhole from 644 to 755
    changing mode of build/scripts-2.6/mktap from 644 to 755
    changing mode of build/scripts-2.6/pyhtmlizer from 644 to 755
    changing mode of build/scripts-2.6/twistd from 644 to 755
    changing mode of build/scripts-2.6/trial from 644 to 755
    changing mode of build/scripts-2.6/tap2rpm from 644 to 755
    changing mode of build/scripts-2.6/tap2deb from 644 to 755
    changing mode of build/scripts-2.6/tapconvert from 644 to 755
    changing mode of build/scripts-2.6/mailmail from 644 to 755
    changing mode of build/scripts-2.6/conch from 644 to 755
    changing mode of build/scripts-2.6/cftp from 644 to 755
    changing mode of build/scripts-2.6/tkconch from 644 to 755
    changing mode of build/scripts-2.6/ckeygen from 644 to 755
    changing mode of build/scripts-2.6/lore from 644 to 755
    changing mode of /usr/bin/tap2deb to 755
    changing mode of /usr/bin/ckeygen to 755
    changing mode of /usr/bin/tap2rpm to 755
    changing mode of /usr/bin/mktap to 755
    changing mode of /usr/bin/pyhtmlizer to 755
    changing mode of /usr/bin/twistd to 755
    changing mode of /usr/bin/lore to 755
    changing mode of /usr/bin/mailmail to 755
    changing mode of /usr/bin/cftp to 755
    changing mode of /usr/bin/tkconch to 755
    changing mode of /usr/bin/conch to 755
    changing mode of /usr/bin/trial to 755
    changing mode of /usr/bin/tapconvert to 755
    changing mode of /usr/bin/manhole to 755
  Found existing installation: zope.interface 3.3.0
    Uninstalling zope.interface:
      Successfully uninstalled zope.interface
  Running setup.py install for zope.interface
    building 'zope.interface._zope_interface_coptimizations' extension
    /usr/lib/python2.6/pycc -DNDEBUG -KPIC -I/usr/include/python2.6 -c src/zope/interface/_zope_interface_coptimizations.c -o build/temp.solaris-2.11-i86pc-2.6/src/zope/interface/_zope_interface_coptimizations.o
    cc: unrecognized option `-KPIC'
    /usr/lib/python2.6/pycc -G build/temp.solaris-2.11-i86pc-2.6/src/zope/interface/_zope_interface_coptimizations.o -L/usr/lib -lpython2.6 -o build/lib.solaris-2.11-i86pc-2.6/zope/interface/_zope_interface_coptimizations.so
    Skipping installation of /usr/lib/python2.6/site-packages/zope/__init__.py (namespace package)
    Installing /usr/lib/python2.6/site-packages/zope.interface-3.6.3-py2.6-nspkg.pth
Successfully installed setuptools twisted zope.interface
Cleaning up...
msg386450 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-02-03 18:37
Distutils is now deprecated (see PEP 632) and all tagged issues are being closed. From now until removal, only release blocking issues will be considered for distutils.

If this issue does not relate to distutils, please remove the component and reopen it. If you believe it still requires a fix, most likely the issue should be re-reported at https://github.com/pypa/setuptools
History
Date User Action Args
2021-02-03 18:37:45steve.dowersetstatus: open -> closed

nosy: + steve.dower
messages: + msg386450

resolution: out of date
stage: resolved
2011-06-20 01:33:37dabrahamssetmessages: + msg138682
2011-06-20 01:27:34dabrahamssetmessages: + msg138681
2011-03-19 02:42:15eric.araujosetnosy: tarek, eric.araujo, dabrahams
messages: + msg131382
2011-03-02 16:19:29dabrahamscreate